package com.chelvc.framework.base.interceptor;

import org.springframework.core.MethodParameter;
import org.springframework.web.context.request.NativeWebRequest;

/**
 * 响应结果包装接口
 *
 * @author Woody
 * @date 2023/1/1
 */
public interface ResponseWrapper {
    /**
     * 对象包装
     *
     * @param request 请求对象
     * @param method  请求方法
     * @param value   请求结果
     * @return 包转对象
     */
    Object wrap(NativeWebRequest request, MethodParameter method, Object value);
}
